Name:           python-cycler
Version:        0.12.1
Release:        1
Summary:        Composable cycles
License:        BSD
URL:            https://github.com/matplotlib/cycler.git
Source0:        https://files.pythonhosted.org/packages/a9/95/a3dbbb5028f35eafb79008e7522a75244477d2838f38cbb722248dabc2a8/cycler-0.12.1.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel 
BuildRequires:  python3-six
BuildRequires:	python3-pip
BuildRequires:	python3-wheel
BuildRequires:	python3-flit

%description
Composable cycles used by matplotlib.

%package -n python3-cycler
Summary: Composable cycles
%{?python_provide:%python_provide python3-cycler}

%description -n python3-cycler
Composable cycles used by matplotlib.

%prep
%autosetup -n cycler-%{version} -p1

%build
%pyproject_build

%install
%pyproject_install

%files -n python3-cycler
%license LICENSE
%doc README.rst
%{python3_sitelib}/*

%changelog
* Thu Nov 30 2023 jiangxinyu <jiangxinyu@kylinos.cn> - 0.12.1-1
- Upgrade package to version 0.12.1

* Wed Jun 29 2022 yaoxin <yaoxin30@h-partners.com> - 0.11.0-1
- Update to 0.11.0

* Wed Jan 5 2022 liyanan <liyanan32@huawei.com> - 0.10.0-4
- Drop the python-nose dependency

* Thu Oct 22 2020 zhangtao <zhangtao221@huawei.com> - 0.10.0-3
- remove python2
* Tue Nov 5 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.10.0-2
- Package init
